/**
 * BinaryDataEncoding.java
 *
 * File generated from the datatypes::BinaryDataEncoding uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ips.datatypes;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration BinaryDataEncoding.
 *
 */

@XmlType(name = "BinaryDataEncoding")
@XmlEnum
@XmlRootElement(name = "BinaryDataEncoding")
public enum BinaryDataEncoding {
	@XmlEnumValue("B64")
	B64("B64"),
	@XmlEnumValue("TXT")
	TXT("TXT");
	
	private final String value;

    BinaryDataEncoding(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static BinaryDataEncoding fromValue(String v) {
        for (BinaryDataEncoding c: BinaryDataEncoding.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}